Bug 185552 - [maintainer update] databases/py-hiredis: update to 0.1.2
Summary: [maintainer update] databases/py-hiredis: update to 0.1.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-07 13:20 UTC by gd.workbox
Modified: 2014-01-08 11:10 UTC (History)
0 users

See Also:


Attachments
file.txt (2.20 KB, text/plain)
2014-01-07 13:20 UTC, gd.workbox
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description gd.workbox 2014-01-07 13:20:00 UTC
Update port databases/py-hiredis: 0.1.1 -> 0.1.2

Fix: patch attached

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-01-07 13:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 William Grzybowski freebsd_committer 2014-01-08 11:06:10 UTC
Responsible Changed
From-To: freebsd-python->wg

I'll take it.
Comment 3 dfilter service freebsd_committer 2014-01-08 11:06:13 UTC
Author: wg
Date: Wed Jan  8 11:06:04 2014
New Revision: 339089
URL: http://svnweb.freebsd.org/changeset/ports/339089

Log:
  databases/py-hiredis: update to 0.1.2
  
  PR:		ports/185552
  Submitted by:	maintainer

Modified:
  head/databases/py-hiredis/Makefile
  head/databases/py-hiredis/distinfo
  head/databases/py-hiredis/files/patch-setup.py

Modified: head/databases/py-hiredis/Makefile
==============================================================================
--- head/databases/py-hiredis/Makefile	Wed Jan  8 11:04:20 2014	(r339088)
+++ head/databases/py-hiredis/Makefile	Wed Jan  8 11:06:04 2014	(r339089)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	hiredis
-PORTVERSION=	0.1.1
-PORTREVISION=	1
+PORTVERSION=	0.1.2
 CATEGORIES=	databases python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}

Modified: head/databases/py-hiredis/distinfo
==============================================================================
--- head/databases/py-hiredis/distinfo	Wed Jan  8 11:04:20 2014	(r339088)
+++ head/databases/py-hiredis/distinfo	Wed Jan  8 11:06:04 2014	(r339089)
@@ -1,2 +1,2 @@
-SHA256 (hiredis-0.1.1.tar.gz) = ca7b3840d12f836dabfd73708bd64c0ac31204b22a926279b6515e6433e50ffc
-SIZE (hiredis-0.1.1.tar.gz) = 35598
+SHA256 (hiredis-0.1.2.tar.gz) = c44df954d9dcc9f57682bf8fabf172a112edf53ff35bb5ce8f8fff1b1985abb1
+SIZE (hiredis-0.1.2.tar.gz) = 36951

Modified: head/databases/py-hiredis/files/patch-setup.py
==============================================================================
--- head/databases/py-hiredis/files/patch-setup.py	Wed Jan  8 11:04:20 2014	(r339088)
+++ head/databases/py-hiredis/files/patch-setup.py	Wed Jan  8 11:06:04 2014	(r339089)
@@ -1,22 +1,16 @@
---- ./setup.py.orig	2012-04-18 04:54:11.000000000 +1000
-+++ ./setup.py	2012-09-25 21:54:06.000000000 +1000
-@@ -20,13 +20,10 @@
-         if self.distribution.has_ext_modules():
-           self.run_command('build_ext')
+--- ./setup.py.orig	2014-01-06 19:08:27.000000000 +0400
++++ ./setup.py	2014-01-07 15:36:44.000000000 +0400
+@@ -41,7 +41,8 @@
  
--lib = ("hiredis", {
--  "sources": ["vendor/hiredis/%s.c" % src for src in ("hiredis", "net", "sds")],
--  "include_dirs": ["vendor/hiredis"]})
--
  ext = Extension("hiredis.hiredis",
    sources=glob.glob("src/*.c"),
--  include_dirs=["src", "vendor"],
-+  include_dirs=["src", "%%LOCALBASE%%/include"],
-+  library_dirs=["%%LOCALBASE%%/lib"],
-   libraries=["hiredis"])
+-  include_dirs=["vendor"])
++  include_dirs=["%%LOCALBASE%%/include"],
++  library_dirs=["%%LOCALBASE%%/lib"],)
  
  setup(
-@@ -39,7 +36,6 @@
+   name="hiredis",
+@@ -53,7 +54,6 @@
    keywords=["Redis"],
    license="BSD",
    packages=["hiredis"],
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 William Grzybowski freebsd_committer 2014-01-08 11:06:16 UTC
State Changed
From-To: open->closed

Committed. Thanks!